package com.clx.performance.event;

import org.springframework.context.ApplicationEvent;

public class OwnerRepaymentUpdateEvent extends ApplicationEvent {


    private Integer id;


    /**
     * Create a new {@code ApplicationEvent}.
     *
     * @param source the object on which the event initially occurred or with
     *               which the event is associated (never {@code null})
     */
    public OwnerRepaymentUpdateEvent(Object source) {
        super(source);
    }

    public OwnerRepaymentUpdateEvent(Object source, Integer id) {
        super(source);
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
}
